commit 949bce19cf06c80bd231bb7d0c5f738c9a1d132d
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Sep 29 11:09:21 2017 -0500

    Prepare 3.24.5

 NEWS         | 9 +++++++++
 configure.ac | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit a63373aada937d2ee89c3359ff62355bb514d6fa
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Sep 29 10:51:25 2017 -0500

    header-bar: Don't disable navigation actions when history is cleared

    There's no reason to do this. The history service is not needed
    for the
    back/forward list to work properly, so no reason to disable
    back/forward
    after clearing history. And it's disabling the stop/reload action,
    too,
    which doesn't make any sense. Especially since  there is no code
    to ever
    enable it again.

    https://bugzilla.gnome.org/show_bug.cgi?id=788329

 src/ephy-header-bar.c | 26 --------------------------
 1 file changed, 26 deletions(-)

commit 3a3ff533b49e800de5241c82debaee7e6310cc12
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Sep 29 08:39:43 2017 +0200

    Updated Slovenian translation

 po/sl.po | 448
 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 182 insertions(+), 266 deletions(-)

commit a3d68ae4360c2b4b7de2442ca224cefd01e541a9
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Sep 23 16:11:59 2017 -0500

    Plug leak in bookmarks code *properly*

    It's not NULL-safe. I should know this by now....

 src/window-commands.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 54568fa8630d6179ba9aa54c978ccbbc58a39f32
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Sep 23 14:09:14 2017 -0500

    Plug leak in bookmarks import code

    Discovered by Daniel Boles

 src/window-commands.c | 2 ++
 1 file changed, 2 insertions(+)

commit 03ef4eaa8c5a29c6dae152afa06da0f2c390329d
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Sep 21 18:19:15 2017 -0500

    json-glib should not be required

    It's really only needed for sync, so stop using it unconditionally.

 configure.ac                  | 4 ++--
 src/bookmarks/ephy-bookmark.c | 6 ++++++
 src/bookmarks/ephy-bookmark.h | 3 +++
 src/prefs-dialog.c            | 3 ++-
 4 files changed, 13 insertions(+), 3 deletions(-)

commit 4a7de812e5c9d0350bb7a492969e2897371ef91c
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Sep 21 19:01:30 2017 -0500

    Make bookmarks import not crash when there's no Firefox profile

 src/window-commands.c | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit 914ed77bc8979c2b70322df507cb0a0edfbe1e12
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Sep 9 15:16:28 2017 -0500

    location-controller: Decode URI in get_location_cb

    Otherwise, pressing Escape inside the location entry causes the URI to
    become percent-encoded. Oops.

 src/ephy-location-controller.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 4a940d94d70c7145e6b27ff022a6bc065ffd2322
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Sep 9 11:37:42 2017 -0500

    search-engine-manager: get_address() must return NULL

    The search-engine-dialog relies on get_address() returning NULL to
    detect new search engines. It doesn't function properly otherwise. All
    code using this function just needs to be prepared to handle a NULL
    address.

    In contrast, get_address_for_default_engine() really does need
    to always
    return a result. At least, it's more convenient this way, so that
    calling code doesn't have to handle that manually. Rename the function
    to make this more clear and reduce confusion, as it would be odd
    to have
    two parallel functions function differently in this respect.

    https://bugzilla.gnome.org/show_bug.cgi?id=787458

 embed/ephy-embed-utils.c                   | 2 +-
 lib/ephy-search-engine-manager.c           | 6 +++---
 lib/ephy-search-engine-manager.h           | 2 +-
 src/search-provider/ephy-search-provider.c | 2 +-
 4 files changed, 6 insertions(+), 6 deletions(-)

commit 641af1853d051751b9258b377df9fabd999455d2
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Sep 9 11:35:44 2017 -0500

    search-provider: Simplify getting search engine address

    We have a convenience function to get the default search address.

 src/search-provider/ephy-search-provider.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit ebfca3486ff91b30d15f37292529a90d03c06292
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Sep 4 10:01:57 2017 -0500

    location-entry: disable emoji chooser

 lib/widgets/ephy-location-entry.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit ce178751b9f04f294fdee745b39f6a55c8251710
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Sep 3 11:33:25 2017 -0500

    Prepare 3.24.4

 NEWS         | 9 +++++++++
 configure.ac | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 1515d94ffe7b7b00dba4b2969a6897038c1499f6
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Sep 1 08:54:40 2017 -0500

    permissions-manager: Fix leak in error path

 lib/ephy-permissions-manager.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 7aef778b3764fbd27cd230402a1b0d5df73ac0ae
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Aug 30 20:51:23 2017 -0500

    Adblocker must not block main resource during redirects

    Our logic to avoid blocking the main resource doesn't work during
    redirects.

    Also, move the GSettings check inside our helper function.

    https://bugzilla.gnome.org/show_bug.cgi?id=787011

 embed/web-extension/ephy-web-extension.c | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit d399385548fa8909442622f849bb5013ddb3f683
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Aug 29 20:37:18 2017 -0500

    location-controller: Fix no-show URIs displaying on Escape

 src/ephy-location-controller.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 1ffd801cf147a0d89ffa49be5d09750b9e6d4296
Author: Stas Solovey <whats_up@tut.by>
Date:   Thu Aug 24 22:29:01 2017 +0000

    Update Russian translation

 po/ru.po | 6332
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 3166 insertions(+), 3166 deletions(-)

commit e4e7de5b06c98b796f4b9abbfeb004cbe25c25fd
Author: Gabriel Ivascu <gabrielivascu@gnome.org>
Date:   Thu Aug 24 11:57:40 2017 +0300

    Fix leaks of GtkContainer children list

 lib/widgets/ephy-location-entry.c      |  2 ++
 src/bookmarks/ephy-bookmarks-popover.c | 11 +++++++----
 2 files changed, 9 insertions(+), 4 deletions(-)

commit 49ebf910af6280647ffb6806efc61b0e50242c69
Author: Gabriel Ivașcu <gabrielivascu@gnome.org>
Date:   Wed Aug 23 23:17:31 2017 +0300

    bookmarks-popover: Don't snapshot URLs when creating new bookmark rows

    https://bugzilla.gnome.org/show_bug.cgi?id=780549

 src/bookmarks/ephy-bookmark-row.c      |   8 +++
 src/bookmarks/ephy-bookmark-row.h      |   6 +-
 src/bookmarks/ephy-bookmarks-popover.c | 107
 ++++++++++++---------------------
 3 files changed, 49 insertions(+), 72 deletions(-)

commit 4a9588f5812c7e5cd56fde2844fa29a4e33304fb
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Aug 14 10:30:29 2017 -0500

    embed-shell: Fix protection against recursive launching

    It needs to use the new desktop file name.

    I don't think g_application_get_id() is the best way to handle this.
    Best just hardcode the desktop file name.

 embed/ephy-embed-shell.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 27b9f188058cf90552813a37327be0a5f884d29b
Author: Dimitrios Christidis <dimitrios@christidis.me>
Date:   Tue Aug 8 15:37:31 2017 +0200

    ephy-window: Disable Alt+Home shortcut for web apps

    https://bugzilla.gnome.org/show_bug.cgi?id=785996

 src/ephy-window.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5fc96898e35d4c430b1eab2b82a02db318e5f5f8
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Aug 9 22:09:01 2017 +0200

    Updated Slovenian translation

 po/sl.po | 109
 ++++++++++++++++-----------------------------------------------
 1 file changed, 27 insertions(+), 82 deletions(-)

commit b7e8c2ab1059481635e7dce718e31db50d9bf715
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Thu Aug 3 09:34:42 2017 +0000

    Update Finnish translation

 po/fi.po | 333
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 165 insertions(+), 168 deletions(-)

commit 58502355d87ea2094dbc55dd9bd536dd91c9ff45
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Jul 28 13:59:08 2017 +0200

    Updated Slovenian translation

 po/sl.po | 4206
 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 2564 insertions(+), 1642 deletions(-)

commit ba5f31b57ef6bcdcfc23c94f4218d7f044d9ddc7
Author: Jordi Mas <jmas@softcatala.org>
Date:   Thu Jul 27 07:01:43 2017 +0200

    Update Catalan translation

 po/ca.po | 57 +++++++++++++++++++++++++++------------------------------
 1 file changed, 27 insertions(+), 30 deletions(-)

commit aea6232c3c90e6cb0aff71f4adca50775459faa3
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jul 24 15:50:14 2017 -0500

    window: Pass address from embed to security popover

    It's wrong to try to use the address from the title widget here,
    because
    the user could edit it to say whatever he wants, and it will crash if
    there is no text in the location entry. Instead, get the address from
    the web view.

    https://bugzilla.gnome.org/show_bug.cgi?id=785338

 src/ephy-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 43489a7d54b89a45709fadd6a90d0e99cf0dc45d
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jul 17 13:16:06 2017 -0500

    Prepare 3.24.3

 NEWS         | 12 ++++++++++++
 configure.ac |  2 +-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit 13c147b026fb6c902118f598201b4157a5210ead
Author: specter <specter92@live.com>
Date:   Wed Jul 12 20:58:06 2017 -0400

    prefs-dialog: Clear "custom" dialog automatically when another radio
    option is selected

    Also fixed bug where the "custom" dialog becomes unsensitive if one
    highlights it fully and then types on top of it.

    https://bugzilla.gnome.org/show_bug.cgi?id=783290

 src/prefs-dialog.c | 35 ++++++++++++++++++++++++++++-------
 1 file changed, 28 insertions(+), 7 deletions(-)

commit 638a8051cd970f231126ebed7cb02bcd289cae50
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Jul 12 18:40:19 2017 -0500

    search-engine-manager: Always return a search engine address

    We need to return a default search engine address if the value in
    GSettings is somehow messed up. This fixes a crash if the
    default-search-engine and search-engines settings somehow become
    desynced.

    https://bugzilla.redhat.com/show_bug.cgi?id=1470287

 lib/ephy-search-engine-manager.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 8b6ce7b8ad5f02fba58acd13bfd96f150a27891d
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Jul 12 18:39:00 2017 -0500

    search-engine-manager: Add convenience function to get default address

    Add ephy_search_engine_manager_get_address_for_default_engine(), a
    simpler way to get the address of the default search engine without
    having to make separate calls to
    ephy_search_engine_manager_get_default_engine() and
    ephy_search_engine_manager_get_address().

 embed/ephy-embed-utils.c         |  5 +----
 lib/ephy-search-engine-manager.c | 13 +++++++++++++
 lib/ephy-search-engine-manager.h |  2 ++
 3 files changed, 16 insertions(+), 4 deletions(-)

commit 8d7b39a69e31c0764ac62399062e219f23e16c8e
Author: Jordi Mas <jmas@softcatala.org>
Date:   Wed Jul 12 07:47:18 2017 +0200

    Update Catalan translation

 po/ca.po | 442
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 226 insertions(+), 216 deletions(-)

commit 137c653b1f020263065330547d2d7e02fab58d77
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Jul 2 12:07:18 2017 -0500

    downloads-manager: Fix crash when download fails

    It's wrong to acquire the session inhibitor when destination is
    created,
    because the download could fail before that point, causing the
    inhibitotr to be released before it has been acquired and triggering
    our
    assertions to ensure this does not happen.

    Instead, acquire the inhibitor immediately when creating the download.

    https://bugzilla.gnome.org/show_bug.cgi?id=778653

 embed/ephy-downloads-manager.c | 11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

commit 1882fc0f7fa2810be8a196f11e0ce127087b0859
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed May 24 11:56:20 2017 -0500

    Add ephy namespace to WebKit context menu helpers

    webkit_context_menu_item_new_from_gaction has been upstreamed, and
    slightly differently, so now this won't build anymore. Namespace it
    properly to ensure we can build against new versions of WebKit.

 src/ephy-window.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit c432f2aec1dbe24745781bf67bee5deb1f0968d2
Author: Stefania Popescu <anya20601@yahoo.com>
Date:   Sat May 20 21:34:01 2017 +0300

    bookmarks-popover: hide tags without bookmarks

 src/bookmarks/ephy-bookmarks-popover.c | 27 +++++++++++++++++++++++++--
 1 file changed, 25 insertions(+), 2 deletions(-)

commit 8155899ec19df52990e1836363e2e2463a7f33a6
Author: George Willian Condomitti <georgecondomitti@gmail.com>
Date:   Mon Apr 24 19:14:15 2017 -0300

    ephy-window: Switch tabs with [Shift+]Ctrl+Tab

    Switch between tabs with Ctrl+Tab (next) and
    Shift+Ctrl+Tab (previous) other than Ctrl+PgDown
    and Ctrl+PgUp.

    https://bugzilla.gnome.org/show_bug.cgi?id=762631

 src/ephy-window.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 03cc1be2f472c092d66f63689ddf81ba74b91906
Author: Cristian Margineanu <margineanucristi96@gmail.com>
Date:   Sat May 13 14:20:30 2017 +0300

    completion-model: match tags against text in address bar

    https://bugzilla.gnome.org/show_bug.cgi?id=781746

 src/ephy-completion-model.c | 40 ++++++++++++++++++++++++++++++++--------
 1 file changed, 32 insertions(+), 8 deletions(-)

commit e16328dad2397775d3cc57f8e04e39c77891b498
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Wed May 17 10:45:39 2017 +0200

    Dot not show the tabs menu on CTRL + right click

    We are handling CTRL + right click on EphyWebView as special case to
    ensure the context menu is shown. This probably worked with WebKit1,
    because the context menu was handled by the EphyWindow on button press
    event, but now it's preventing the WebKitWebView from handling the
    event. Since the EphyWindow no longer handles the button press event,
    it ends up being handled by the EphyNotebook that shows the tabs popup
    menu.

 embed/ephy-web-view.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit e751ee3698430e299b84531bd38b34d8b2deea17
Author: Adrian Perez de Castro <aperez@igalia.com>
Date:   Fri May 12 16:19:16 2017 +0300

    Update to the latest version of NautilusFloatingBar

    Importing the latest version of the widget from the Nautilus source
    code allows to click "through" the floating bar and reach links that
    are below it. The older version would hide the bar when the mouse
    approaches it, but elements which were below would not be clickable.

    This fixes bug #668493

 lib/widgets/nautilus-floating-bar.c | 212
 ++++++++++++++++++++++--------------
 lib/widgets/nautilus-floating-bar.h |  37 ++++---
 2 files changed, 151 insertions(+), 98 deletions(-)

commit 276799273c8342062edca92c2fc62639af340b86
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue May 9 14:52:28 2017 -0500

    Fix initial notification permissions in web app mode

    If we automatically grant notification permissions, then web apps that
    test notification permissions without requesting them, like Riot, will
    not work properly. It looks like I only tested my previous attempt to
    fix this issue in normal browser mode.

    The fix is just one call to
    ephy_permissions_manager_set_permissions().
    That requires moving some code around.

    https://bugzilla.gnome.org/show_bug.cgi?id=782386

 embed/ephy-web-view.c | 27 ++++++++++++++++-----------
 1 file changed, 16 insertions(+), 11 deletions(-)

commit 7369aa4260732ffe51cfcf48769843c54416971c
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue May 9 15:00:42 2017 -0500

    profile-migrator: Don't try to migrate URLs table if no history exists

    This causes warnings to appear when running a fresh profile for the
    first time.

 src/profile-migrator/ephy-profile-migrator.c | 3 +++
 1 file changed, 3 insertions(+)

commit d0e5c8fff89633b504cb9dc02638b1c25f227c38
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon May 8 15:51:36 2017 -0500

    Prepare 3.24.2

 NEWS         | 9 +++++++++
 configure.ac | 4 ++--
 2 files changed, 11 insertions(+), 2 deletions(-)

commit bf377b5e31e84c8d60d82ecf2b04dff7cb670e60
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon May 8 15:43:57 2017 -0500

    Add hidden setting for disabling quirks mode

    This would have allowed us to give users an immediate workaround to
    solve the problem where the Google login page does not work at all,
    since it's caused by a user agent quirk we have to make various other
    Google websites work properly.

    Note: summary and description are omitted to avoid breaking string
    freeze.

 data/org.gnome.epiphany.gschema.xml |  3 +++
 embed/ephy-embed-prefs.c            |  5 ++++-
 lib/ephy-prefs.h                    | 42
 +++++++++++++++++++------------------
 3 files changed, 29 insertions(+), 21 deletions(-)

commit 6dbdee697ed8018656e83fe6cf10f73e43b5232e
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Apr 30 13:28:38 2017 -0500

    notebook: Do not use a popover for the tab selection menu

    GTK+ popover menus are not scrollable, so they are not suitable for a
    menu that needs to accomodate huge numbers of items. Currently it is
    quite easy to wind up with the menu flowing off the bottom of the
    screen, with the menu items becoming inaccessible.

 src/ephy-notebook.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 9cb4656c336f2354880f5d9350d747447eb90b41
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon May 8 15:46:45 2017 -0500

    Require GTK+ 3.22.13

    https://bugzilla.gnome.org/show_bug.cgi?id=781992

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 612ca811bf98e989e639ac65920ae5ec25405577
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu May 4 10:10:31 2017 -0500

    location-controller: speculative fix for a search engines changed
    crash

    https://bugzilla.gnome.org/show_bug.cgi?id=782159

 src/ephy-location-controller.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4f93847b4e104779fd7cc4a8cd9365c06661c793
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Thu May 4 05:10:53 2017 +0000

    Update Kazakh translation

 po/kk.po | 287
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 147 insertions(+), 140 deletions(-)

commit 6a191e00436571a2b45343d084deb554acedc39a
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu May 4 05:41:02 2017 +0200

    Updated Serbian translation

 po/sr.po       | 423
 ++++++++++++++++++++-------------------------------------
 po/sr@latin.po | 423
 ++++++++++++++++++++-------------------------------------
 2 files changed, 300 insertions(+), 546 deletions(-)

commit 2bd4624bee40ff3f4154526ca93037cc8fc8fde5
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sat Apr 29 10:25:44 2017 +0200

    Update Catalan translation

 po/ca.po | 2448
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1335 insertions(+), 1113 deletions(-)

commit 0a837ea5c1a20b67653a1c52d7fa86f648cc0050
Author: Flavio Gallistl <flavio.gallistl@stud.uni-hannover.de>
Date:   Thu Apr 20 23:03:37 2017 +0200

    Don't open new tabs in application mode

    https://bugzilla.gnome.org/show_bug.cgi?id=781440

 src/ephy-window.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 8e82c479cc1fbe570f7d2b68fb2eb862c645263a
Author: Adrian Perez de Castro <aperez@igalia.com>
Date:   Wed Mar 15 14:31:39 2017 +0200

    Decode last component of URIs to determine file names for saving

    In the logic to determine which filename to use when saving a non-HTML
    resource the last component of the URI was being used as-is,
    which could
    include percent-encoded characters. Calling soup_uri_decode() before
    using the value ensures that we present readable file names to
    the user.

    Also, this stops using g_file_get_basename() to extract the last
    component of an URI because it would horribly break on platforms which
    do not use a slash (“/”) as path separator.

    This fixes bug #780086

 src/window-commands.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 24ca3fb857dddc80aa82570fc51de8fbeda5623f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Apr 10 10:03:57 2017 -0500

    Prepare 3.24.1

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 90eebac3f35897ec9d61274ef54ac3157c3ae71d
Author: ChangSeok Oh <changseok@gnome.org>
Date:   Mon Apr 10 05:18:25 2017 +0000

    Update Korean translation

 help/ko/ko.po | 33 ++++++++++++++++++++++++++-------
 1 file changed, 26 insertions(+), 7 deletions(-)

commit 1ea57369aaa369b37669bbbae233f6d7cdcde783
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sat Apr 8 16:29:01 2017 +0200

    Updated Danish translation

 po/da.po | 279
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 137 insertions(+), 142 deletions(-)

commit a98dcca12aa984d5863ec8fa1f9bbd896769bb07
Author: ChangSeok Oh <changseok@gnome.org>
Date:   Sat Apr 8 06:34:08 2017 +0000

    Update Korean translation

 po/ko.po | 97
 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 51 insertions(+), 46 deletions(-)

commit 70b28a70db0aea820f8347f2b7c521f42c304176
Author: Christian Hergert <chergert@redhat.com>
Date:   Thu Apr 6 16:22:00 2017 -0700

    web-extension: fix NULL or empty string check

    We need to compare against the character, not the pointer which
    is done immediately to the left of this comparison.

 embed/web-extension/ephy-web-extension.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0e478618fa89fc5e13f781f49c5f74620e51ddcd
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Apr 6 11:27:09 2017 -0500

    Attempt to fix -Werror build with libxml 2.9.4

    The prototype of this printf function changed.

    https://bugzilla.gnome.org/show_bug.cgi?id=780398

 lib/ephy-langs.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit df70c57a08bcd633c3378237757ed5845c4d02e3
Author: Charles Monzat <superboa@hotmail.fr>
Date:   Thu Apr 6 08:36:56 2017 +0000

    Update French translation

 po/fr.po | 192
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 102 insertions(+), 90 deletions(-)

commit 22bdf160770fc05d5ae433657d7e58fdc82c71df
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Sun Apr 2 21:22:06 2017 +0300

    add-bookmark-popover: Save bookmarks on both popover show and close

    Due to the fact that a bookmark is added to the manager when the
    popover
    is closed, a press on the bookmark button followed by a press on the
    "Remove
    bookmark" button causes a crash because
    ephy_bookmarks_manager_remove_bookmark()
    tries to find the new bookmark which has not been added yet.

    Revert to the original behaviour where a bookmark is saved immediately
    after pressing the star, but also save the bookmark when the
    popover is
    closed in case the user changed something while the popover was open

    https://bugzilla.gnome.org/show_bug.cgi?id=780851

 src/bookmarks/ephy-add-bookmark-popover.c | 47
 ++++++++++++++-----------------
 1 file changed, 21 insertions(+), 26 deletions(-)

commit 9b668efbb2044174804c61b61743152ad85f8fb2
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sun Apr 2 14:01:38 2017 +0300

    Update Latvian translation

 po/lv.po | 159
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 78 insertions(+), 81 deletions(-)

commit 4562e884e80ed5af931b09890a38b91392156e9b
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Fri Mar 31 19:02:09 2017 +0300

    bookmarks-manager: Change *_add_bookmark() to be (transfer none)

    This should fix the inconsistency between *_add_bookmarks() and
    *_add_bookmark().

    https://bugzilla.gnome.org/show_bug.cgi?id=780564

 src/bookmarks/ephy-add-bookmark-popover.c    |  1 +
 src/bookmarks/ephy-bookmarks-manager.c       |  3 ++-
 src/profile-migrator/ephy-profile-migrator.c |  1 +
 src/sync/ephy-sync-service.c                 | 15 ++++++++-------
 4 files changed, 12 insertions(+), 8 deletions(-)

commit 1d8b2e33fcd343a54bf06b1541e58bba42710ce6
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Fri Mar 31 18:33:46 2017 +0300

    bookmarks-import: Display new bookmarks immediately after an import

    This fixes the problem where the browser has to be restarted after
    importing a set of bookmarks from a gvdb file/firefox profile.

    https://bugzilla.gnome.org/show_bug.cgi?id=780564

 src/bookmarks/ephy-bookmarks-manager.c | 4 ++++
 1 file changed, 4 insertions(+)

commit aa05f49d5d987c5358c5f0ebddcb33c815625093
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Fri Mar 31 17:43:35 2017 +0300

    bookmarks: Fix problem causing bookmarks to disappear after an import

    This fixes some bugs mainly related to importing bookmarks from
    Firefox.
    In ephy_bookmarks_manager_add_bookmarks(), g_sequence_lookup()
    was called on an unsorted sequence, which caused the function
    to fail and not add bookmarks to the manager. Besides that,
    the compare
    function used for various GSequence operations did not treat the
    case where the time_added was equal for both bookmarks.

    https://bugzilla.gnome.org/show_bug.cgi?id=780564

 src/bookmarks/ephy-bookmark.c          | 22 ++++++++++++--
 src/bookmarks/ephy-bookmark.h          |  4 +--
 src/bookmarks/ephy-bookmarks-manager.c | 52
 +++++++++++++++++++---------------
 3 files changed, 50 insertions(+), 28 deletions(-)

commit c9a5d2d41e2680fc6cff23ec1f91e17b7ddfc1d3
Author: Stas Solovey <whats_up@tut.by>
Date:   Thu Mar 30 13:56:48 2017 +0000

    Update Russian translation

 po/ru.po | 6324
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 3166 insertions(+), 3158 deletions(-)

commit 62ccddf745cdc9f40c6ba2984201fb2df12dde57
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Wed Mar 29 11:52:14 2017 +0000

    Update Indonesian translation

 po/id.po | 210
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 108 insertions(+), 102 deletions(-)

commit 7570b3ef58544e7d16caa5e288506e9ba18dbd3b
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Wed Mar 29 09:46:10 2017 +0000

    Update Italian translation

 po/it.po | 203
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 101 insertions(+), 102 deletions(-)

commit eaa795d37918e3f683ef3500e931570c359c06e0
Author: Balázs Meskó <meskobalazs@fedoraproject.org>
Date:   Tue Mar 28 19:33:57 2017 +0000

    Update Hungarian translation

 po/hu.po | 201
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 103 insertions(+), 98 deletions(-)

commit b80fdf23883d7fcbf410cf89bde864398a22def1
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Mar 25 09:41:45 2017 -0500

    Remove quotation marks from about:web page

    If we keep these, then they need to be marked for translation. But we
    don't need to keep them, because they look bad in English. Translators
    can add them around the string if really desired, but I doubt
    it's ever
    desired.

    https://bugzilla.gnome.org/show_bug.cgi?id=780511

 embed/ephy-about-handler.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c88ca4594d481848a3d699cdfea4a251dd492112
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Mar 25 13:34:39 2017 +0200

    Updated Lithuanian translation

 po/lt.po | 225
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 110 insertions(+), 115 deletions(-)

commit 11d1e3a6385e90d7bee20f9e190376086cee9b57
Author: Yuras Shumovich <shumovichy@gmail.com>
Date:   Sat Mar 25 11:31:52 2017 +0000

    Update Belarusian translation

 po/be.po | 4524
 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 2803 insertions(+), 1721 deletions(-)

commit 4c872e2a44a2af70b2b8beb616b0d5487e33478d
Author: hanniedu <hannie@ubuntu-nl.org>
Date:   Sat Mar 25 12:28:34 2017 +0100

    Updated Dutch translation Master 3.24

 po/nl.po | 3709
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 2162 insertions(+), 1547 deletions(-)

commit d20479cbf3dbde22df4d13618e2f54338a8ae343
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Mar 25 10:18:25 2017 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 713
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 372 insertions(+), 341 deletions(-)

commit 649eae39010e69f0097b86b0e7a83e73253a58cf
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Fri Mar 24 23:38:08 2017 +0000

    Update Galician translation

 po/gl.po | 243
 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 98 insertions(+), 145 deletions(-)

commit bc07c2f3411854bcfafde8e8a9a4c189eaea071c
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Mar 23 19:13:49 2017 +0200

    add-bookmark-popover: Save bookmark when popover is closed, not shown

    Fix bug 780443

 src/bookmarks/ephy-add-bookmark-popover.c | 51
 +++++++++++++++++++++++--------
 1 file changed, 38 insertions(+), 13 deletions(-)

commit d13039fb4b9906e1da1bb9496cf3d9fabca400e0
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Fri Mar 24 08:18:47 2017 -0300

    Update Brazilian Portuguese translation for help files

 help/pt_BR/media/epiphany-3-8.png          |  Bin 141865 -> 0 bytes
 help/pt_BR/media/private-browsing-3-22.png |  Bin 0 -> 103312 bytes
 help/pt_BR/media/web-3-22.png              |  Bin 0 -> 271937 bytes
 help/pt_BR/pt_BR.po                        | 1756
 +++++++++++++++++++---------
 4 files changed, 1205 insertions(+), 551 deletions(-)

commit 507fbe608d1aa8f73d61dbcb7d1f015f959e4962
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Fri Mar 24 01:08:41 2017 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 269
 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 137 insertions(+), 132 deletions(-)

commit a003c67704987d57a0fbfd5bb6ce98ecebb8d0a1
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Thu Mar 23 20:54:50 2017 +0000

    Update Friulian translation

 po/fur.po | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

commit 71568c334958b34102cd327f290af848664e38a7
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Mar 23 14:32:04 2017 -0500

    Fix untranslated Favorites string in bookmarks popover title

    We translated it in most places, but missed a spot.

    https://bugzilla.gnome.org/show_bug.cgi?id=780460

 src/bookmarks/ephy-bookmarks-popover.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 99827b53989f51e49ab7b60a1280c2b562821262
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Mar 23 14:10:51 2017 -0500

    Fix untranslated strings in clear data dialog

    https://bugzilla.gnome.org/show_bug.cgi?id=780460

 src/clear-data-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ef1b25f3b09d2bf0d04376612762a64b9a4b00b3
Author: Adrian Perez de Castro <aperez@igalia.com>
Date:   Thu Mar 23 20:02:14 2017 +0200

    Use GtkFileChooserNative for bookmark import/export

    The bookmark import/export file choosers went unnoticed when
    converting the
    other dialogs to GtkFileChooserNative. This patch converts those
    as well.

    Fixes bug #780468

 src/window-commands.c | 78
 +++++++++++++++++++++------------------------------
 1 file changed, 32 insertions(+), 46 deletions(-)

commit 7eb418b1514828954576747075e622b0b7f4d8b4
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Mar 23 19:55:56 2017 +0100

    Updated Czech translation

 po/cs.po | 184
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 96 insertions(+), 88 deletions(-)

commit 96bbe2cad1ab2d4c4d38732de7851cc50a841606
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Thu Mar 23 18:44:23 2017 +0000

    Update Swedish translation

 po/sv.po | 193
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 99 insertions(+), 94 deletions(-)

commit d7e70a73614d2644c3ffc93a278876741a1dd65d
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Thu Mar 23 18:21:57 2017 +0000

    Update German translation

 po/de.po | 184
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 96 insertions(+), 88 deletions(-)

commit 29ac2fcd1fda0953fce671829a21824b27ffb2cd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Mar 23 18:55:04 2017 +0100

    Update Polish translation

 po/pl.po | 21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit 9ccb19a7e9ede1d165c7f8de5bf41f0e83668d45
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Mar 23 18:24:27 2017 +0100

    Update Polish translation

 po/pl.po | 220
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 115 insertions(+), 105 deletions(-)

commit 2ad3d633e6809a25ccc14d41f729cff6c2ecc48a
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Mar 23 12:05:17 2017 -0500

    Mark Bookmark Properties string for translation

    Oops

    https://bugzilla.gnome.org/show_bug.cgi?id=780460

 po/POTFILES.in                    | 1 +
 src/bookmarks/ephy-bookmark-row.c | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit aa4fb042155170bc306403a616f9cbfdae89ff63
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Mar 23 17:52:59 2017 +0100

    Mark forgotten string for translation

 src/resources/gtk/bookmark-properties-grid.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c83d7605b6bd4878df1a05a22b9ad23fb0f25fc5
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Mar 21 23:19:54 2017 +0200

    Updated Ukrainian translation

 po/uk.po | 2398
 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1366 insertions(+), 1032 deletions(-)

commit 0d5ed344b1a85a0df934ea695131006aa3a18516
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Mon Mar 20 09:25:10 2017 +0000

    Update Friulian translation

 po/fur.po | 190
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 94 insertions(+), 96 deletions(-)

commit 075d0039799b782dba4abcaeba0dd3d504dd4e91
Author: ChangSeok Oh <changseok@gnome.org>
Date:   Mon Mar 20 08:05:53 2017 +0000

    Update Korean translation

 help/ko/ko.po | 45 ++++++++++++++++++++++++++++-----------------
 1 file changed, 28 insertions(+), 17 deletions(-)
